2011년 1월 19일 수요일

installing kumofs in ubuntu 10.10

1.  ruby를 설치합니다.
 1) sudo apt-get install ruby
  -> patch level이 최신이 아닙니다.
  2) ruby 홈페이지에 가서 ruby 1.8.7최신 버전(p302)을 받아서 풀고,
  #./configure
  #make
  #sudo make install 합니다.
  #ruby --version 을 하면 예전 ruby가 실행됩니다.
  PATH에 /usr/local/bin이 우선되면 최신  ruby가 실행됩니다.

2. tokyocabinet을 설치합니다.
 1) 홈페이지에서 다운로드해서 압축을 풉니다.
 2) libbz2-dev 를 설치합니다.
  #sudo apt-get install libbz2-dev
  3) compile및 설치하니다.
    #./configure
    #make
    #sudo make install

3. messagepack을 설치합니다.
  #wget http://downloads.sourceforget.net/project/msgpack/msgpack/cpp/msgpack-0.5.2.tar.gz
  #tar xvfz msgpack-0.5.2.tar.gz
  #cd msgpack-0.5.2
  #./configure
  #make
  #sudo make install

4. bootstrap을 실행하면 다음을 추가로 설치해야 합니다.
 #sudo apt-get install ragel #sudo apt-get install libtool
 #sudo apt-get install automake
 #./bootstrap 이 성공적으로 수행됩니다.


5. #./configure
    #make
    #sudo make install


설치 완료!


이제 설치를 확인해야 합니다.

kumo 홈페이지의 example을 실행해보면 됩니다.

도움이 되셨다면, 광고 클릭을 ㅎㅎ ^^